import { Factory, Key } from '../ServiceCollection';
import { ILifetime } from './ILifetime';
import { ScopedContext } from '../ServiceProvider';
export declare class Transient<T, E> implements ILifetime<T, E> {
    readonly name: Key<E>;
    factory: Factory<T, E>;
    constructor(name: Key<E>, factory: Factory<T, E>);
    provide(context: ScopedContext<E>): T;
    clone(): ILifetime<T, E>;
}
