"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Transient = void 0;
var Transient = /** @class */ (function () {
    function Transient(name, factory) {
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "factory", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.name = name;
        this.factory = factory;
    }
    Object.defineProperty(Transient.prototype, "provide", {
        enumerable: false,
        configurable: true,
        writable: true,
        value: function (context) {
            return this.factory(context.proxy);
        }
    });
    Object.defineProperty(Transient.prototype, "clone", {
        enumerable: false,
        configurable: true,
        writable: true,
        value: function () {
            return new Transient(this.name, this.factory);
        }
    });
    return Transient;
}());
exports.Transient = Transient;
