import { Key, Selector } from '../ServiceCollection';
import { ILifetime } from '../Lifetime';
import { IServiceProvider } from './IServiceProvider';
export declare class ServiceProvider<E> implements IServiceProvider<E> {
    readonly lifetimes: Record<Key<E>, ILifetime<any, E>>;
    readonly proxy: E;
    constructor(lifetimes: Record<Key<E>, ILifetime<any, E>>);
    provide<T>(selector: Selector<T, E>): T;
}
